org.eclipse.incquery.runtime.evm.specific.lifecycle

## Class DefaultActivationLifeCycle

- java.lang.Object
- - org.eclipse.incquery.runtime.evm.api.ActivationLifeCycle
  - - org.eclipse.incquery.runtime.evm.specific.lifecycle.UnmodifiableActivationLifeCycle
    - - org.eclipse.incquery.runtime.evm.specific.lifecycle.DefaultActivationLifeCycle

-     public final class DefaultActivationLifeCycle
      extends UnmodifiableActivationLifeCycle

  This is the default implementation for an activation life cycle. The following is the summary of the possible transitions, in the form of StateFrom -Event-> StateTo (U : Update state used, D : Disappeared state used), :
  - Inactive -Match Appears-> Appeared
  - Appeared -Match Disappears-> Inactive
  - Appeared -Activation fires-> Fired
  - Fired -Match Updates-> Updated (U)
  - Updated -Activation fires-> Fired (U)
  - Updated -Match Disappears-> Inactive (U) / Disappeared (UD)
  - Fired -Match Disappears-> Inactive / Disappeared (D)
  - Disappeared -Match Appears-> Fired (D) / Updated (UD)
  - Disappeared -Activation fires-> Inactive (D)
  Author:
    Abel Hegedus

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultActivationLifeCycle` | `DEFAULT` Deprecated. Use `Lifecycles#getDefault(true, true)` instead.
    `static DefaultActivationLifeCycle` | `DEFAULT_NO_DISAPPEAR` Deprecated. Use `Lifecycles#getDefault(true, false)` instead.
    `static DefaultActivationLifeCycle` | `DEFAULT_NO_UPDATE` Deprecated. Use `Lifecycles#getDefault(false, true)` instead.
    `static DefaultActivationLifeCycle` | `DEFAULT_NO_UPDATE_AND_DISAPPEAR` Deprecated. Use `Lifecycles#getDefault(false, false)` instead.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultActivationLifeCycle()` Deprecated. Use `DefaultActivationLifeCycle(true, true, false)` instead.
    `DefaultActivationLifeCycle(boolean updateStateUsed, boolean disappearedStateUsed)` Creates an activation life cycle with the default state transition map.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.incquery.runtime.evm.specific.lifecycle.UnmodifiableActivationLifeCycle

      `addStateTransition, copyOf`

    - ### Methods inherited from class org.eclipse.incquery.runtime.evm.api.ActivationLifeCycle

      `containsFrom, containsTo, create, getInactiveState, getStateTransitionTable, nextActivationState, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final DefaultActivationLifeCycle DEFAULT

      Deprecated. Use `Lifecycles#getDefault(true, true)` instead.

    - #### DEFAULT_NO_UPDATE

          public static final DefaultActivationLifeCycle DEFAULT_NO_UPDATE

      Deprecated. Use `Lifecycles#getDefault(false, true)` instead.

    - #### DEFAULT_NO_DISAPPEAR

          public static final DefaultActivationLifeCycle DEFAULT_NO_DISAPPEAR

      Deprecated. Use `Lifecycles#getDefault(true, false)` instead.

    - #### DEFAULT_NO_UPDATE_AND_DISAPPEAR

          public static final DefaultActivationLifeCycle DEFAULT_NO_UPDATE_AND_DISAPPEAR

      Deprecated. Use `Lifecycles#getDefault(false, false)` instead.

  - ### Constructor Detail

    - #### DefaultActivationLifeCycle

          public DefaultActivationLifeCycle(boolean updateStateUsed,
                                            boolean disappearedStateUsed)

      Creates an activation life cycle with the default state transition map.
      Parameters:
        `updateStateUsed` - if set, the Updated activation state is also used
        `disappearedStateUsed` - if set, the Disappeared activations state is also used

    - #### DefaultActivationLifeCycle

          public DefaultActivationLifeCycle()

      Deprecated. Use `DefaultActivationLifeCycle(true, true, false)` instead.
      Creates an activation life cycle with the default state transition map using both Updated and Disappeared states.